#ifndef _HDL_LED_H_
#define _HDL_LED_H_
#include "hc32_ll.h"
#include "stdint.h"

typedef enum
{
  HDL_LED_ID_0,
  HDL_LED_ID_MAX,    
}hdl_led_id_t;

typedef struct
{
  uint8_t   port;
  uint16_t  pin;    
}hdl_led_t;

extern void hdl_led_init(void);

extern void hdl_led_on(hdl_led_id_t id);

extern void hdl_led_off(hdl_led_id_t id);

extern void hdl_led_toggle(hdl_led_id_t id);

#endif
